# DisplayInfo

Namespace: **Wisej.Hybrid**

Assembly: **Wisej.Hybrid** (3.5.0.0)

* [DeviceInfoBase](/hybrid/start/api/general/wisej.hybrid.core.deviceinfobase.md)
  * [DisplayInfo](/hybrid/start/api/display/wisej.hybrid.displayinfo.md)

Provides information about the device's screen.

{% tabs %}
{% tab title="C#" %}

```csharp
public class DisplayInfo : DeviceInfoBase
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class DisplayInfo
    Inherits DeviceInfoBase
```

{% endtab %}
{% endtabs %}

Access this class through the [Info](/hybrid/start/api/general/wisej.hybrid.device.md#info) singleton.

## Constructors

### ![](/files/CCV9PPenlC1YZvNh1I6R)DisplayInfo()

Creates a new instance of [DisplayInfo](/hybrid/start/api/display/wisej.hybrid.displayinfo.md).

## Properties

### ![](/files/CCV9PPenlC1YZvNh1I6R)Density

[Double](https://docs.microsoft.com/dotnet/api/system.double): The device's density.

### ![](/files/CCV9PPenlC1YZvNh1I6R)Height

[Double](https://docs.microsoft.com/dotnet/api/system.double): The device's height (in pixels).

### ![](/files/CCV9PPenlC1YZvNh1I6R)Orientation

[DisplayOrientation](/hybrid/start/api/display/wisej.hybrid.shared.display.displayorientation.md): The device display's orientation.

### ![](/files/CCV9PPenlC1YZvNh1I6R)RefreshRate

[Single](https://docs.microsoft.com/dotnet/api/system.single): The device's refresh rate.

### ![](/files/CCV9PPenlC1YZvNh1I6R)Rotation

[DisplayRotation](/hybrid/start/api/display/wisej.hybrid.shared.display.displayrotation.md): The device's rotation.

### ![](/files/CCV9PPenlC1YZvNh1I6R)Width

[Double](https://docs.microsoft.com/dotnet/api/system.double): The device's width (in pixels).

## Methods

### ![](/files/CCV9PPenlC1YZvNh1I6R)OnWebUpdate(info)

Updates the info configuration.

| Parameter | Type                                                          | Description             |
| --------- | ------------------------------------------------------------- | ----------------------- |
| **info**  | [Object](https://docs.microsoft.com/dotnet/api/system.object) | The info configuration. |

## Events

### ![](/files/CCV9PPenlC1YZvNh1I6R)MainDisplayInfoChanged

[EventHandler](https://docs.microsoft.com/dotnet/api/system.eventhandler) Fires when the main display info changes.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/hybrid/start/api/display/wisej.hybrid.displayinfo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
